VTK: vtkGenericCellIterator Class Reference

| VTK 9.3.1

Public Member Functions | Protected Member Functions | List of all members
vtkGenericCellIterator Class Referenceabstract

iterator used to traverse cells More...

`#include <vtkGenericCellIterator.h>`

Inheritance diagram for vtkGenericCellIterator:
[legend]
Collaboration diagram for vtkGenericCellIterator:
[legend]

## Public Member Functions
virtual void | Begin ()=0
| Move iterator to first position if any (loop initialization). More...
virtual vtkTypeBool | IsAtEnd ()=0
| Is the iterator at the end of traversal? More...
virtual vtkGenericAdaptorCell * | NewCell ()=0
| Create an empty cell. More...
virtual void | GetCell (vtkGenericAdaptorCell *c)=0
| Get the cell at current position. More...
virtual vtkGenericAdaptorCell * | GetCell ()=0
| Get the cell at the current traversal position. More...
virtual void | Next ()=0
| Move the iterator to the next position in the list. More...
Public Member Functions inherited from vtkObject
| vtkBaseTypeMacro (vtkObject, vtkObjectBase)
virtual void | DebugOn ()
| Turn debugging output on. More...
virtual void | DebugOff ()
| Turn debugging output off. More...
bool | GetDebug ()
| Get the value of the debug flag. More...
void | SetDebug (bool debugFlag)
| Set the value of the debug flag. More...
virtual void | Modified ()
| Update the modification time for this object. More...
virtual vtkMTimeType | GetMTime ()
| Return this object's modified time. More...
void | RemoveObserver (unsigned long tag)
void | RemoveObservers (unsigned long event)
void | RemoveObservers (const char *event)
void | RemoveAllObservers ()
vtkTypeBool | HasObserver (unsigned long event)
vtkTypeBool | HasObserver (const char *event)
vtkTypeBool | InvokeEvent (unsigned long event)
vtkTypeBool | InvokeEvent (const char *event)
std::string | GetObjectDescription () const override
| The object description printed in messages and PrintSelf output. More...
unsigned long | AddObserver (unsigned long event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
unsigned long | AddObserver (const char *event, vtkCommand *, float priority=0.0f)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkCommand * | GetCommand (unsigned long tag)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObserver (vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
void | RemoveObservers (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (unsigned long event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
vtkTypeBool | HasObserver (const char *event, vtkCommand *)
| Allow people to add/remove/invoke observers (callbacks) to any VTK object. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, void(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Overloads to AddObserver that allow developers to add class member functions as callbacks for events. More...
template<class U , class T >
unsigned long | AddObserver (unsigned long event, U observer, bool(T::*callback)(vtkObject *, unsigned long, void *), float priority=0.0f)
| Allow user to set the AbortFlagOn() with the return value of the callback method. More...
vtkTypeBool | InvokeEvent (unsigned long event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
vtkTypeBool | InvokeEvent (const char *event, void *callData)
| This method invokes an event and return whether the event was aborted or not. More...
virtual void | SetObjectName (const std::string &objectName)
| Set/get the name of this object for reporting purposes. More...
virtual std::string | GetObjectName () const
| Set/get the name of this object for reporting purposes. More...
Public Member Functions inherited from vtkObjectBase
const char * | GetClassName () const
| Return the class name as a string. More...
virtual vtkIdType | GetNumberOfGenerationsFromBase (const char *name)
| Given the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
virtual void | Delete ()
| Delete a VTK object. More...
virtual void | FastDelete ()
| Delete a reference to this object. More...
void | InitializeObjectBase ()
void | Print (ostream &os)
| Print an object to an ostream. More...
virtual void | Register (vtkObjectBase *o)
| Increase the reference count (mark as used by another object). More...
virtual void | UnRegister (vtkObjectBase *o)
| Decrease the reference count (release by another object). More...
int | GetReferenceCount ()
| Return the current reference count of this object. More...
void | SetReferenceCount (int)
| Sets the reference count. More...
bool | GetIsInMemkind () const
| A local state flag that remembers whether this object lives in the normal or extended memory space. More...
virtual void | PrintHeader (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual void | PrintTrailer (ostream &os, vtkIndent indent)
| Methods invoked by print to print information about the object including superclasses. More...
virtual bool | UsesGarbageCollector () const
| Indicate whether the class uses `vtkGarbageCollector` or not. More...

## Protected Member Functions
| vtkGenericCellIterator ()
| ~vtkGenericCellIterator () override
Protected Member Functions inherited from vtkObject
| vtkObject ()
| ~vtkObject () override
void | RegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | UnRegisterInternal (vtkObjectBase *, vtkTypeBool check) override
void | InternalGrabFocus (vtkCommand *mouseEvents, vtkCommand *keypressEvents=nullptr)
| These methods allow a command to exclusively grab all events. More...
void | InternalReleaseFocus ()
| These methods allow a command to exclusively grab all events. More...
Protected Member Functions inherited from vtkObjectBase
| vtkObjectBase ()
virtual | ~vtkObjectBase ()
virtual void | ReportReferences (vtkGarbageCollector *)
| vtkObjectBase (const vtkObjectBase &)
void | operator= (const vtkObjectBase &)
typedef vtkObject | Superclass
| Standard VTK construction and type macros. More...
static vtkTypeBool | IsTypeOf (const char *type)
| Standard VTK construction and type macros. More...
static vtkGenericCellIterator * | SafeDownCast (vtkObjectBase *o)
| Standard VTK construction and type macros. More...
virtual vtkTypeBool | IsA (const char *type)
| Standard VTK construction and type macros. More...
vtkGenericCellIterator * | NewInstance () const
| Standard VTK construction and type macros. More...
void | PrintSelf (ostream &os, vtkIndent indent) override
| Standard VTK construction and type macros. More...
virtual vtkObjectBase * | NewInstanceInternal () const
| Standard VTK construction and type macros. More...

## Additional Inherited Members
Static Public Member Functions inherited from vtkObject
static vtkObject * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | BreakOnError ()
| This method is called when vtkErrorMacro executes. More...
static void | SetGlobalWarningDisplay (vtkTypeBool val)
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOn ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static void | GlobalWarningDisplayOff ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
static vtkTypeBool | GetGlobalWarningDisplay ()
| This is a global flag that controls whether any debug, warning or error messages are displayed. More...
Static Public Member Functions inherited from vtkObjectBase
static vtkTypeBool | IsTypeOf (const char *name)
| Return 1 if this class type is the same type of (or a subclass of) the named class. More...
static vtkIdType | GetNumberOfGenerationsFromBaseType (const char *name)
| Given a the name of a base class of this class type, return the distance of inheritance between this class type and the named class (how many generations of inheritance are there between this class and the named class). More...
static vtkObjectBase * | New ()
| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. More...
static void | SetMemkindDirectory (const char *directoryname)
| The name of a directory, ideally mounted -o dax, to memory map an extended memory space within. More...
static bool | GetUsingMemkind ()
| A global state flag that controls whether vtkObjects are constructed in the usual way (the default) or within the extended memory space. More...
Static Protected Member Functions inherited from vtkObjectBase
static vtkMallocingFunction | GetCurrentMallocFunction ()
static vtkReallocingFunction | GetCurrentReallocFunction ()
static vtkFreeingFunction | GetCurrentFreeFunction ()
static vtkFreeingFunction | GetAlternateFreeFunction ()
Protected Attributes inherited from vtkObject
bool | Debug
vtkTimeStamp | MTime
vtkSubjectHelper * | SubjectHelper
std::string | ObjectName
Protected Attributes inherited from vtkObjectBase
std::atomic< int32_t > | ReferenceCount
vtkWeakPointerBase ** | WeakPointers

## Detailed Description

iterator used to traverse cells

This class (and subclasses) are used to iterate over cells. Use it only in conjunction with vtkGenericDataSet (i.e., the adaptor framework).

Typical use is:

    vtkGenericDataSet *dataset;
    vtkGenericCellIterator *it = dataset->NewCellIterator(2);
    for (it->Begin(); !it->IsAtEnd(); it->Next());
      {
      spec=it->GetCell();
      }

Tests:
  vtkGenericCellIterator (Tests)

Definition at line 33 of file vtkGenericCellIterator.h.

## Member Typedef Documentation

## ◆ Superclass

typedef vtkObject vtkGenericCellIterator::Superclass

Standard VTK construction and type macros.

Definition at line 40 of file vtkGenericCellIterator.h.

## Constructor & Destructor Documentation

## ◆ vtkGenericCellIterator()

vtkGenericCellIterator::vtkGenericCellIterator | ( |  | ) |
| protected

## ◆ ~vtkGenericCellIterator()

vtkGenericCellIterator::~vtkGenericCellIterator | ( |  | ) |
| overrideprotected

## Member Function Documentation

## ◆ IsTypeOf()

static vtkTypeBool vtkGenericCellIterator::IsTypeOf | ( | const char * | type | ) |
| static

Standard VTK construction and type macros.

## ◆ IsA()

virtual vtkTypeBool vtkGenericCellIterator::IsA | ( | const char * | type | ) |
| virtual

Standard VTK construction and type macros.

Reimplemented from vtkObjectBase.

## ◆ SafeDownCast()

static vtkGenericCellIterator* vtkGenericCellIterator::SafeDownCast | ( | vtkObjectBase * | o | ) |
| static

Standard VTK construction and type macros.

## ◆ NewInstanceInternal()

virtual vtkObjectBase* vtkGenericCellIterator::NewInstanceInternal | ( |  | ) | const
| protectedvirtual

Standard VTK construction and type macros.

## ◆ NewInstance()

vtkGenericCellIterator* vtkGenericCellIterator::NewInstance | ( |  | ) | const

Standard VTK construction and type macros.

## ◆ PrintSelf()

void vtkGenericCellIterator::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) |  |
| overridevirtual

Standard VTK construction and type macros.

Reimplemented from vtkObject.

## ◆ Begin()

virtual void vtkGenericCellIterator::Begin | ( |  | ) |
| pure virtual

Move iterator to first position if any (loop initialization).

## ◆ IsAtEnd()

virtual vtkTypeBool vtkGenericCellIterator::IsAtEnd | ( |  | ) |
| pure virtual

Is the iterator at the end of traversal?

## ◆ NewCell()

virtual vtkGenericAdaptorCell* vtkGenericCellIterator::NewCell | ( |  | ) |
| pure virtual

Create an empty cell.

The user is responsible for deleting it.

Postcondition
  result_exists: result!=0

## ◆ GetCell() [1/2]

virtual void vtkGenericCellIterator::GetCell | ( | vtkGenericAdaptorCell * | c | ) |
| pure virtual

Get the cell at current position.

The cell should be instantiated with the NewCell() method.

Precondition
  not_at_end: !IsAtEnd()
  c_exists: c!=0 THREAD SAFE

## ◆ GetCell() [2/2]

virtual vtkGenericAdaptorCell* vtkGenericCellIterator::GetCell | ( |  | ) |
| pure virtual

Get the cell at the current traversal position.

NOT THREAD SAFE

Precondition
  not_at_end: !IsAtEnd()

Postcondition
  result_exits: result!=0

## ◆ Next()

virtual void vtkGenericCellIterator::Next | ( |  | ) |
| pure virtual

Move the iterator to the next position in the list.

Precondition
  not_at_end: !IsAtEnd()

The documentation for this class was generated from the following file:

- Common/DataModel/vtkGenericCellIterator.h